2022-06-30 10:37:45

by Alaa Mohamed

[permalink] [raw]
Subject: [PATCH net-next v3] selftests: net: fib_rule_tests: fix support for running individual tests

parsing and usage of -t got missed in the previous patch.
this patch fixes it

Fixes: 816cda9ae531 ("selftests: net: fib_rule_tests: add support to
select a test to run")
Signed-off-by: Alaa Mohamed <[email protected]>
---
changes in v2:
edit commit subject and message.
---
changes in v3:
add Fixes tag
---
tools/testing/selftests/net/fib_rule_tests.sh | 23 +++++++++++++++++++
1 file changed, 23 insertions(+)

diff --git a/tools/testing/selftests/net/fib_rule_tests.sh b/tools/testing/selftests/net/fib_rule_tests.sh
index bbe3b379927a..c245476fa29d 100755
--- a/tools/testing/selftests/net/fib_rule_tests.sh
+++ b/tools/testing/selftests/net/fib_rule_tests.sh
@@ -303,6 +303,29 @@ run_fibrule_tests()
log_section "IPv6 fib rule"
fib_rule6_test
}
+################################################################################
+# usage
+
+usage()
+{
+ cat <<EOF
+usage: ${0##*/} OPTS
+
+ -t <test> Test(s) to run (default: all)
+ (options: $TESTS)
+EOF
+}
+
+################################################################################
+# main
+
+while getopts ":t:h" opt; do
+ case $opt in
+ t) TESTS=$OPTARG;;
+ h) usage; exit 0;;
+ *) usage; exit 1;;
+ esac
+done

if [ "$(id -u)" -ne 0 ];then
echo "SKIP: Need root privileges"
--
2.25.1


2022-07-01 13:09:50

by patchwork-bot+netdevbpf

[permalink] [raw]
Subject: Re: [PATCH net-next v3] selftests: net: fib_rule_tests: fix support for running individual tests

Hello:

This patch was applied to netdev/net-next.git (master)
by David S. Miller <[email protected]>:

On Thu, 30 Jun 2022 12:24:49 +0200 you wrote:
> parsing and usage of -t got missed in the previous patch.
> this patch fixes it
>
> Fixes: 816cda9ae531 ("selftests: net: fib_rule_tests: add support to
> select a test to run")
> Signed-off-by: Alaa Mohamed <[email protected]>
>
> [...]

Here is the summary with links:
- [net-next,v3] selftests: net: fib_rule_tests: fix support for running individual tests
https://git.kernel.org/netdev/net-next/c/9c154ab47f5e

You are awesome, thank you!
--
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html